Bug 59238 - many new symbols in libxatracker after recent automake work
Summary: many new symbols in libxatracker after recent automake work
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 59304
  Show dependency treegraph
 
Reported: 2013-01-11 11:58 UTC by Fabio Pedretti
Modified: 2013-03-16 12:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xatracker visibility (621 bytes, patch)
2013-01-14 11:00 UTC, Fabio Pedretti
Details | Splinter Review
visibility patch for xatracker1 (2.79 KB, text/plain)
2013-02-07 18:13 UTC, Maarten Lankhorst
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Pedretti 2013-01-11 11:58:35 UTC
After recent automake work there are many new symbols on libxatracker1 (eventually also on other libraries), dunno if it's intended. See all lines starting with + at the end of this:
https://launchpadlibrarian.net/128185749/buildlog_ubuntu-quantal-i386.mesa_9.1~git1301111201.100440~gd~q_FAILEDTOBUILD.txt.gz
Comment 1 Andreas Boll 2013-01-11 12:27:18 UTC
If someone wants to write a patch for fixing the new symbols
here is a reference how to fix this:
http://cgit.freedesktop.org/mesa/mesa/commit/?id=c8d3fd4a120be0f62367f679e31ea5763c10c197
Comment 2 Tobias Jakobi 2013-01-13 17:07:09 UTC
I'd like to point out that there already were (and are) problems with symbol visibility:
https://bugs.freedesktop.org/show_bug.cgi?id=37637

It would be nice if these could be fixed as well.
Comment 3 Fabio Pedretti 2013-01-14 11:00:54 UTC
Created attachment 73001 [details] [review]
xatracker visibility

I tried the attached patch, there are some less symbols but most are still here:
https://launchpadlibrarian.net/128434393/buildlog_ubuntu-quantal-i386.mesa_9.1~git1301141056.e3e1ff~gd~q_BUILDING.txt.gz

Note: it looks only libxatracker has this issue.
Comment 4 Tobias Jakobi 2013-01-21 17:58:57 UTC
Concerning visibility for the DRI drivers: Does anyone know which symbols have to be exported so that libGL can load the drivers?

I've reduced the exported symbols via ld's --version-script to the ones containing dri, drm and glapi (mainly for bug #37637) -- which tremendously shrinks the amount. I would be interesting to know which symbols are exactly necessary for the loader to work.
Comment 5 Fabio Pedretti 2013-01-24 16:49:05 UTC
This problem looks related to libxatracker only.
Comment 6 Maarten Lankhorst 2013-02-07 15:34:37 UTC
http://paste.ubuntu.com/1620151/plain/ is the patch I used to reduce visibility in debian-experimental, I could commit this if  there is interest
Comment 7 Matt Turner 2013-02-07 16:38:41 UTC
(In reply to comment #6)
> http://paste.ubuntu.com/1620151/plain/ is the patch I used to reduce
> visibility in debian-experimental, I could commit this if  there is interest

Maybe pastebin the patch in a place that I don't have to log in to see it? Actually, this is bugzilla -- just attach it here.
Comment 8 Maarten Lankhorst 2013-02-07 18:13:42 UTC
Created attachment 74370 [details]
visibility patch for xatracker1
Comment 9 Rafał Mużyło 2013-02-21 02:28:18 UTC
Just a minor thing: looking at the content of GALLIUM_CFLAGS shouldn't they be added to AM_CPPFLAGS instead of AM_CFLAGS ?
Also, given that $(DEFINES) variable is technically deprecated, that should probably be adjusted too.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.